Skip to main content
GET
/
v4
/
knowledge-bases
/
{knowledge_base_id}
/
upload-schedules
/
{upload_schedule_id}
Python
import os
from scale_gp import SGPClient

client = SGPClient(
    api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
)
upload_schedule_with_views = client.knowledge_bases.upload_schedules.retrieve(
    upload_schedule_id="upload_schedule_id",
    knowledge_base_id="knowledge_base_id",
)
print(upload_schedule_with_views.id)
package main

import (
"context"
"fmt"

"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)

func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
uploadScheduleWithViews, err := client.KnowledgeBases.UploadSchedules.Get(
context.TODO(),
"knowledge_base_id",
"upload_schedule_id",
sgp.KnowledgeBaseUploadScheduleGetParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", uploadScheduleWithViews.ID)
}
curl --request GET \
--url https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}/upload-schedules/{upload_schedule_id}
const options = {method: 'GET'};

fetch('https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}/upload-schedules/{upload_schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "knowledge_base_id": "<string>",
  "knowledge_base_data_source_id": "<string>",
  "chunking_strategy_config": {
    "strategy": "<string>",
    "separator": "\n\n",
    "chunk_size": 1000,
    "chunk_overlap": 200
  },
  "interval": 123,
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by_user_id": "<string>",
  "account_id": "<string>",
  "knowledge_base_data_source": {
    "name": "<string>",
    "data_source_config": {
      "source": "<string>",
      "s3_bucket": "<string>",
      "aws_region": "<string>",
      "aws_account_id": "<string>",
      "s3_prefix": ""
    },
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "created_by_user_id": "<string>",
    "account_id": "<string>",
    "description": "<string>",
    "tagging_information": {
      "type": "all",
      "tags_to_apply": {}
    }
  },
  "status_reason": "<string>",
  "next_run_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

knowledge_base_id
string
required
upload_schedule_id
string
required

Query Parameters

view
enum<string>[] | null
Available options:
DataSource

Response

Successful Response

knowledge_base_id
string
required
knowledge_base_data_source_id
string
required
chunking_strategy_config
CharacterChunkingStrategyConfig · object
required
status
enum<string>
required
Available options:
HEALTHY,
UNHEALTHY,
ERROR,
PAUSED
interval
number
required
id
string
required

The unique identifier of the entity.

created_at
string<date-time>
required

The date and time when the entity was created in ISO format.

updated_at
string<date-time>
required

The date and time when the entity was last updated in ISO format.

created_by_user_id
string
required

The user who originally created the entity.

created_by_identity_type
enum<string>
required

The type of identity that created the entity.

Available options:
user,
service_account
account_id
string
required

The ID of the account that owns the given entity.

knowledge_base_data_source
KnowledgeBaseDataSourceResponse · object
status_reason
string
next_run_at
string<date-time>